name: Publish to docs.datacontroller.io
on:
  push:
    branches:
      - main

jobs:
  build:
    name: Deploy docs
    runs-on: ubuntu-latest
    steps:
      - uses: actions/setup-node@v3
        with:
          node-version: 18

      - name: Checkout master
        uses: actions/checkout@v4  # Updated to latest version

      - name: Setup Python
        uses: actions/setup-python@v4
        with:
          python-version: '3.12'  # Specify your desired version (e.g., 3.10 or 3.12)
        env:
          AGENT_TOOLSDIRECTORY: /opt/hostedtoolcache
          RUNNER_TOOL_CACHE: /opt/hostedtoolcache

      - name: Install Chrome
        run: |
          apt-get update
          wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
          apt install -y ./google-chrome*.deb;
          export CHROME_BIN=/usr/bin/google-chrome

      - name: Install Surfer
        run: |
          npm -g install cloudron-surfer

      - name: build site
        run: |
          pip install mkdocs
          pip install mkdocs-material
          pip install fontawesome_markdown
          pip install mkdocs-redirects
          mkdocs build --clean
          mkdir site/slides
          npx @marp-team/marp-cli slides/innovation/innovation.md -o ./site/slides/innovation/index.html
          npx @marp-team/marp-cli slides/if/if.md -o site/if.pdf --allow-local-files --html=true
      - name: Deploy docs
        run: surfer put --token ${{ secrets.SURFERKEY }} --server docs.datacontroller.io site/* /
